Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594020 - kvm tracing on AMD doesn't show injected interrupt correctly
kvm tracing on AMD doesn't show injected interrupt correctly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Gleb Natapov
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 07:11 EDT by Gleb Natapov
Modified: 2013-12-08 19:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:11:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gleb Natapov 2010-05-20 07:11:00 EDT
Description of problem:
kvm tracing on AMD doesn't show injected interrupt correctly

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run kvm on AMD
2. echo kvm > /sys/kernel/debug/tracing/set_event
3. grep kvm_inj_virq /sys/kernel/debug/tracing/trace
  
Actual results:
kvm_inj_virq: irq 0


Expected results:
irq value should be different from 0

Additional info:
Comment 3 RHEL Product and Program Management 2010-05-23 11:06:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Aristeu Rozanski 2010-05-28 16:38:35 EDT
Patch(es) available on kernel-2.6.32-31.el6
Comment 7 lihuang 2010-07-30 06:55:06 EDT
verified in kernel-2.6.32-52.el6
Comment 8 releng-rhel@redhat.com 2010-11-11 11:11:31 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.